/**************************************************************** 
 * Description: 
 * Author: Alex Li
 * Date: 2023-07-26 00:20:44
 * LastEditTime: 2024-01-23 17:43:00
****************************************************************/
#include <iostream> // 包含输入输出流库
#include <iomanip>  // 包含格式化输出库
using namespace std; 

int c[10000], d[10000]; // 定义两个数组，c 用于存储 n 个元素，d 用于存储组合

// Combination 函数生成所有从 n 个元素中选取 r 个元素的组合
void Combination(int a[], int d[], int start, int end, int index, int r) {
    if (index == r) { // 当选取足够的元素时，输出这个组合
        for (int j = 0; j < r; j++) 
            cout << setw(3) << d[j]; // 使用 setw(3) 来设置每个元素的输出宽度为 3
        cout << endl;
        return;
    }

    for (int i = start; i <= end; i++) { // 遍历所有可能的元素
        d[index] = a[i]; // 选取当前元素
        Combination(a, d, i + 1, end, index + 1, r); // 递归地继续选择下一个元素
    }
}

int main() {
    int a, b; // a 是总元素数 n，b 是组合中的元素数 r
    cin >> a >> b; // 读取输入
    for (int i = 0; i < a; i++) {
        c[i] = i + 1; // 初始化数组 c 为 1 到 n 的自然数
    }
    Combination(c, d, 0, a - 1, 0, b); // 调用函数生成组合
}
